ImagickPixel::clear
ImagickPixel::destroy
The ImagickPixel class
PHP Manual

# ImagickPixel::__construct

(No version information available, might be only in CVS)

ImagickPixel::__construct — The ImagickPixel constructor

### Description

ImagickPixel ImagickPixel::__construct ([ string `$color` ] )
Warning

This function is currently not documented; only its argument list is available.

Constructs an ImagickPixel object. If a color is specified, the object is constructed and then initialised with that color before being returned.

### Parameters

`color`

  The optional color string to use as the initial value of this object.

### Return Values

Returns an ImagickPixel object on success, throwing ImagickPixelException on failure.

ImagickPixel::clear
ImagickPixel::destroy
The ImagickPixel class
PHP Manual